Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: libtool-libs13
Version: 1.3.5
Release: 1.3.0
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
Patch0: libtool-1.3.2-arm.patch
Patch1: libtool-1.2f-cache.patch
Patch2: libtool-1.3.5-mktemp.patch
Patch3: libtool-1.3.5-nonneg.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x

%description
The libtool-libs13 package contains compatibility libraries for the
shared libraries in libtool-1.3.

%prep
%setup -q -n libtool-%{version}
# XXX this appears to be finally integrated in 1.3.4
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#./configure --prefix=%{_prefix}
# define libtoolize to true, in case configure calls it
%define __libtoolize /bin/true
%configure
						
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}

#make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%makeinstall

{ cd ${RPM_BUILD_ROOT}
  gzip -9nf .%{_infodir}/*.info*
# XXX remove zero length file
  rm -f .%{_datadir}/libtool/libltdl/stamp-h.in
# XXX forcibly break hardlinks
  mv .%{_datadir}/libtool/libltdl .%{_datadir}/libtool/libltdl-X
  mkdir .%{_prefix}/share/libtool/libltdl
  cp .%{_datadir}/libtool/libltdl-X/* .%{_datadir}/libtool/libltdl
  rm -rf .%{_prefix}/share/libtool/libltdl-X
}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libltdl.so.*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
